﻿# Random Stuff

#Initialization section
init:

    python:
        if not persistent.set_text_cps:
            persistent.set_text_cps = True
            _preferences.text_cps = 75

    # Set up the size of the screen, and the window title.
    $ config.screen_width = 800
    $ config.screen_height = 600
    $ config.window_title = "Silliness"
    $ config.window_icon = "feather_icon.bmp"

    #Font Config
    $ config.font_replacement_map["DejaVuSans.ttf", False, True] = ("DejaVuSans-Oblique.ttf", False, False) 

    # Set this to true to enable some developer-specific
    # functionality. It should be false in a finished game.
    # Read the "Developer Tools" section of the reference
    # to see what this enables.
    $ config.developer = False

    # Declare the images that are used in the program.

    # Text Images
    image bg splash = "splash.jpg"

    # Backgrounds.
    image bg home = "house1.jpg"
    image bg mall = "mall.jpg"
    image bg store = "store.jpg"
    image game1 = "game1.jpg"
    image game2 = "game2.jpg"
    image sb1 = "sb1.jpg"
    image sb2 = "sb2.jpg"
    image sb3 = "sb3.jpg"
    image black = Solid((0, 0, 0, 255))
    image white = Solid((255, 255, 255, 255))    
    image battle = "battle.jpg"
    image smash = "smash.png"
    image card = "card.png"
    
    #chara profiles
    image kanna normal = "kanna-normal.png"
    image kanna surprise = "kanna-surprise.png"
    image kanna angry = "kanna-angry.png"
    image ayu uguu ="ayu-uguu.png"
    image ayu normal = "ayu-normal.png"
    image kyou normal = "kyou-normal.png"
    image kyou thoughtful = "kyou-thoughtful.png"
    image kyou attack = "kyou-spartaaaaa.png"
    
    # Character objects. These lets us have the character say
    # dialogue without us having to repeatedly type her name. It also
    # lets us change the color of her name.
    $ ryu = Character(u'Ryuuya', color=(255, 215, 0, 255))
    $ kan = Character(u'Kanna', color=(255, 215, 0, 255))
    $ voi = Character(u'A voice', color=(255, 215, 0, 255))
    $ ayu = Character(u'Ayu', color=(255, 215, 0, 255))
    $ stro = Character(u'Strong Bad', color=(255, 215, 0, 255))
    $ kyo = Character(u'Kyou', color=(255, 215, 0, 255))

# The start label marks the place where the main menu jumps to to
# begin the actual game.

label start:

    # The save_name variable sets the name of the save game. Like all
    # variables declared outside of init blocks, this variable is
    # saved and restored with a save file.
    $ save_name = "Chapter 1"

    # Act 1 Start
 
    $ renpy.music.play("dalaam.ogg", fadein=2)
 
    scene bg home with dissolve
    
    "It started like any ordinary day. Shining sun, birds, strange alien dogs roaming the streets... An ordinary day."
    
    $ renpy.music.stop(fadeout=1.5)

    with vpunch
    with vpunch
        
    $ renpy.music.play("starman.ogg", fadein=2)
    
    "A pillow flies through the air and smacks me in the back of the head."

    "Something tells me that I'm going to have a lot of things flying at my head today."
    
    show kanna angry with dissolve
    
    kan "RYUUUUUUUYAA~~~~"
    
    "Yep, just like any other ordinary day."

    show kanna normal

    kan "So, Ryuuya..."
    
    ryu "Is there something I can do for you, Kanna?"
    
    
    kan "I want one of these."
    
    "She shoves a leaflet into my face with a strange contraption printed on it."
    
    "It looks like a white box with a glowing blue stripe on one side."

    "I glance at it for a moment, and then back at Kanna."
    
    "*Blink* *Blink*"
    
    ryu "Just what is it?"
    
    show kanna surprise
    
    kan "It's a Nintendo Wii. All the kids around us have them. You play games on it."
    
    ryu "Like juggling game that Uraha has been badgering you to practice?"
    
    show kanna angry
    
    with vpunch
    
    "Another pillow flies into my face."
    
    kan "Well, yes! There are games like that."
    
    scene game1 with dissolve
    
    $ renpy.pause(2.0)
    
    kan "The Wii is controlled by moving your arms about."
    
    "She makes a wild flailing motion with her arms like an octopus."
    
    kan "So if you get it for me, I can use it to practice juggling."
    
    ryu "You're hiding something aren't you?"
    
    kan "Well..."
    
    kan "There are games that let you experience epic battles."

    kan "The motion controls make you feel like you're actually there!"
    
    $ renpy.music.stop(fadeout=1.5)

    scene game2 with dissolve
    
    $ renpy.music.play("smashtheme.ogg", fadein=2)
    $ renpy.music.set_volume(0.7)
    
    $ renpy.pause(3.0)
    
    ryu "{i}Epic{/i} battles you say?"
    
    kan "Yes, like that one time that I got into a fight with the chicken."
    

    kan "No, it wasn't a just chicken."

    kan "It was a tough duel against the feared Dragon Demon Rooster equipped with a +16 Broadsword that ravaged eastern Japan for centuries."

    kan "It slaughtered millions but we finally put an end to its rampage."

    kan "After it's defeat, we finally brought peace to the land."
    
    ryu "Too bad Colonel Sanders couldn't have been around to help you then."
    
    $ renpy.music.stop(fadeout=1.5)
    scene bg home with dissolve
    
    $ renpy.music.play("dalaam.ogg", fadein=2)
    
    show kanna angry with dissolve
    
    "Kanna darts me a menacing glare, and I brace for another pillow to the face."

    "She's always taken that little scuffle as something to be proud of."
    
    ryu "All right. All right. You win."
    
    show kanna normal
    
    ryu "We'll head down to the mall and see if that game store in the leaflet has a Wii."
    
    
    $ renpy.music.stop(fadeout=1.5)
    scene black with fade
    
    scene bg mall with dissolve
    $ renpy.music.play("fourside.ogg", fadein=2)
    
    "It's not quite holiday season yet, but the hallways in the mall are crowded with the hustling and bustling of shoppers. Many are here with the desire to become..."
    
    "I believe Kanna described them as 'Guitar Heroes.'"
    
    "Strange folk these 'Guitar Heroes' are."
    
    "The mall is not unlike that one market from a thousand years ago where the encounter with the chicken occured."
    
    "The details of our arriving a thousand years into the future are both too complicated and too confusing for me to explain."
    
    "It involves a black hole."

    "And wizards."

    "And Suzumiya Haruhi being bored."
    
    "But I digress. As we enter the mall, we are greeted by loud shouting."
    
    $ renpy.music.stop(fadeout=1.5)
    $ renpy.music.play("starman.ogg", fadein=2)
    
    voi "HEY YOU! HEY YOU!"
    
    voi "GET OUT OF MY WAY!"
    
    scene black with fade
    
    show text "{i}Meanwhile in Strong Badia...{/i}" with dissolve
    $ renpy.pause(2.5)
    
    
    
    scene sb1 with dissolve
    
    $ renpy.pause(1.5)
    
    $ renpy.sound.play("sb0.wav")
    
    stro "The book I wrote is called Everyone is Different."
    
    scene sb2 with dissolve
    
    $ renpy.pause(1.5)
    
    $ renpy.sound.play("sb1.wav")
    
    stro "Everyone is different."
    
    $ renpy.sound.play("sb2.wav")
    
    stro "No two people are the same."
    
    
    scene sb3 with dissolve
    
    $ renpy.pause(1.5)
    $ renpy.sound.play("sb3.wav")
    stro "Some people are about to be run over."
    
    $ renpy.sound.play("sb4.wav")
    stro "Frankie has about five seconds."

    scene black with fade
    
    show text "{i}Five seconds later...{/i}" with dissolve
    $ renpy.pause(2.5)
    
    scene black with fade
    
    "The force of a ten ton boulder traveling at the speed of sound that's also being pushed by Superman slams into me."
    
    scene bg mall with dissolve
    
    with vpunch
    with hpunch
    with vpunch
    with hpunch
    
    $ renpy.music.stop(fadeout=1.5)
    $ renpy.music.play("fourside.ogg", fadein=2)
    
    
    show ayu uguu with dissolve
    
    ayu "Uguu~"
    
    ayu "Why didn't you move?"
    
    kan "If he had moved you would have smashed right into that door behind us. So be thankful."
    
    ayu "Uguu~"
    
    show ayu normal
    
    ayu "I have to get going. I just picked up a Nintendo Wii from the game store upstairs."
    
    ayu "Mai is going to teach me how to play that adventure game with that guy that wears the funny green skirt."
    
    hide ayu normal with moveoutright
    
    show kanna angry with dissolve
    
    kan "Ryuuya, I'm going to be pissed if she got the last one. Let's hurry."
    
    show kanna surprise
    
    kan "Err... can you stand?"
    
    ryu "I'm okay. No matter how many times I get tackled by girls like her, I'm still in tip-top shape a moment later."
    
    kan "Having you die here before our adventure ends would be kind of awkward."
    
    scene black with fade
    
    $ renpy.music.stop(fadeout=1.5)
    
    scene bg store with dissolve
    
    $ renpy.music.play("store.ogg", fadein=2)
    
    show kanna surprise at right
    
    kan "There's one left over on that shelf."
    
    "She bounds forward towards the last Nintendo Wii box sitting on a shelf next to a stack of unsold Playstation 3's."
    
    show kanna angry with move
    
    $ renpy.music.stop(fadeout=1.5)
    
    $ renpy.music.play("starman.ogg", fadein=2)
    
    "Suddenly, a voice calls from right behind us."
    
    voi "That one's mine!"
    

    with hpunch
    with hpunch

    show kanna surprise

    hide kanna surprise with moveoutleft
    
    "Moving faster than light, a figure darts past Kanna and snatches the last Wii box from the shelf."
    
    show kyou normal with dissolve
    
    kyo "I was here first!"
    
    ryu "No you weren't. We definitely got here first."
    
    kyo "I was here long before you guys got into this store."
    
    kyo "But let's settle this the way everything tends to end."
    
    kan "What would that be?"
    
    kyo "Senseless violence of course!"
    
    ryu "I'm not sure starting a brawl in the middle of this place is such a good idea."
    
    kyo "Or we could play a card game designed for kids."
    
    ryu "You've got to be joking..."
    
    kyo "Nope. It's time to d-d-d-d-d-d-d-uel!"
    
    hide kyou normal with moveoutright
    
    show kanna angry with moveinright
    
    kan "This better not end with us playing a game of Yu-gi-oh!"
    
    show kanna surprise
    
    hide kanna surprise with moveoutleft
    
    show kyou normal with moveinright
    
    kyo "So how about it? Sudden death, winner takes all. Loser goes home with a PS3."
    
    ryu "All right. Fine. I accept."
    
    $ renpy.music.stop(fadeout=1.5)
    $ renpy.music.play("end.ogg", fadein=2)
    
    kyo "Let's begin then, shall we?"
    
    scene battle with dissolve
    
    show kyou thoughtful at left
    
    "The scenery suddenly, and randomly I might say, changes to a psychadelic battle background."
    
    "{i}You engage Kyou in a random card battle.{/i}"
    
    "{i}Here is Kyou's opening attack.{/i}"
    
    show card at right with moveinbottom
    
    kyo "I will play 'Dictionary Missile'."
    
    show kyou attack at left
    
    kyo "Dictionary Missile, attack his life points directly!"
    
    "With a quick spin, she effortlessly tosses up a heavy dictionary she had hidden behind her back and smacks it in my direction like a tennis ball."
    
    show smash with wiperight
    
    with vpunch
    with vpunch
    with vpunch


    "Even though we're playing a card game, it flies right into my head and sends me flying clear across the floor and into the other wall with a resounding crash."

    
    $ renpy.music.stop(fadeout=1.5)
    $ renpy.music.play("badend.ogg", fadein=2)
    

    "{i}Ryuuya takes 20000 points of mortal damage.{/i}"
    
    scene black with fade
    
    kyo "Looks like I win."
    
    kyo "Wow, he's out cold."
    
    kan "So what do we do now?"
    
    kyo "I have an extra Wiimote; you want to join us? We could always use another player."
    
    kan "Will there be cake?"
    
    kyo "Of course!"

    show text "{i}BAD END{/i}" with dissolve
    $ renpy.pause(2.5)
    
    scene bg home with dissolve
    
    "Credits: Backgrounds are from Ulan Shad's EarthBound Maps. Music is from EarthBound and Smash Brothers Melee. Characters are from AIR, Kanon, Clannad, Homestar Runner, and several random appearances."
    
    $ renpy.music.stop(fadeout=1.0)
    
    $ renpy.pause(1.0)
    
    $ renpy.full_restart()

# Here, are a number of customizations that make the game look
# better. We place them down here at the bottom, to make the first few
# lines of the script look better.
#
# These can be deleted without issue, if you do not want them.

init:
    
    # Change the look of the main menu.
    $ style.mm_root.background = Image("mainmenu.jpg")
    $ style.mm_menu_window.yanchor = 0
    $ style.mm_menu_window.ypos = 300
    $ style.mm_menu_window.xanchor = 0
    $ style.mm_menu_window.xpos = 520

    # Change the look of the text window.    
    $ style.window.background = Frame("window.png", 16, 16)
    $ style.window.xmargin = 0
    $ style.window.ymargin = 0
    $ style.window.xpadding = 20
    $ style.window.top_padding = 16
    $ style.window.bottom_padding = 16

    # Interface sounds, just for the heck of it.
    $ style.button.activate_sound = 'click.wav'
    $ style.imagemap.activate_sound = 'click.wav'
    $ library.enter_sound = 'click.wav'
    $ library.exit_sound = 'click.wav'
    $ library.sample_sound = "18005551212.ogg"

    # Select the transitions that are used when entering and exiting
    # the game menu.
    $ library.enter_transition = pixellate
    $ library.exit_transition = pixellate

# We'll comment it out for now.
#For the purposes of all releases until final, this is disabled.
label splashscreen:
    scene black
    scene bg splash with fade
    $ renpy.pause(1.5)
    scene black with dissolve
    return


